"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const rules_1 = require("./rules");
module.exports = {
    configs: {
        recommended: {
            parser: '@typescript-eslint/parser',
            env: {
                node: true,
            },
            settings: {
                react: {
                    version: 'detect',
                },
            },
            plugins: ['@typescript-eslint', 'jest', 'prettier', 'react', 'jsdoc', 'decorator-position'],
            extends: [
                'eslint:recommended',
                'plugin:react/recommended',
                'eslint-config-prettier',
                'plugin:jest/recommended',
                'plugin:prettier/recommended',
                'plugin:jsdoc/recommended',
                'plugin:decorator-position/ember',
                'plugin:import/recommended',
            ],
            rules: rules_1.rules,
        },
        settings: {
            jest: {
                version: 27,
            },
        },
    },
};
//# sourceMappingURL=index.js.map